<?xml version="1.0" standalone="yes"?>
<SERVERPAGES version='V4.6'>
<!--  -->
  <BASE>
    <USERFILES ALIAS="USERFILES/" BROWSEABLE="TRUE" READ="Sinamics" WRITE="Administrator" MODIFY="Administrator"/>
    <DRVTRACEFILEAPP ALIAS="DRVTRACEFILEAPP/" BROWSEABLE="TRUE" READ="Sinamics" WRITE="Administrator" MODIFY="Administrator"/>
    <HW_DESC ALIAS="HW_DESC/" BROWSEABLE="TRUE" READ="Sinamics" WRITE="Administrator" MODIFY="Administrator"/>
    <INSTALLTRACE ALIAS="INSTALLTRACE/" BROWSEABLE="TRUE" READ="Sinamics" WRITE="Administrator" MODIFY="Administrator"/>
    <UFTAB_SIEMENS ALIAS="UFTAB_SIEMENS/" BROWSEABLE="TRUE" READ="Sinamics" WRITE="Administrator" MODIFY="Administrator"/>
    <UFTAB_USER ALIAS="UFTAB_USER/" BROWSEABLE="TRUE" READ="Sinamics" WRITE="Administrator" MODIFY="Administrator"/>
    <index.mbs ALIAS="Files/standard/index.mbs"/>
    <!-- Standard files begin -->
    
<content_manage_config.mwsl.cms ALIAS="Files/standard/content_manage_config.mwsl.cms" />
<content_device.mwsl.cms ALIAS="Files/standard/content_device.mwsl.cms" />
<content_diagnostics_serviceoverview.mwsl.cms ALIAS="Files/standard/content_diagnostics_serviceoverview.mwsl.cms" />
<content_diagnostics_tracefiles.mwsl.cms ALIAS="Files/standard/content_diagnostics_tracefiles.mwsl.cms" />
<content_files.mwsl.cms ALIAS="Files/standard/content_files.mwsl.cms" />
<content_home.mwsl.cms ALIAS="Files/standard/content_home.mwsl.cms" />
<content_setup.mwsl.cms ALIAS="Files/standard/content_setup.mwsl.cms" />
<content_messages_and_logs_alarms.mwsl.cms ALIAS="Files/standard/content_messages_and_logs_alarms.mwsl.cms" />
<content_messages_and_logs_diagbuffer.mwsl.cms ALIAS="Files/standard/content_messages_and_logs_diagbuffer.mwsl.cms" />
<content_parameter.mwsl.cms ALIAS="Files/standard/content_parameter.mwsl.cms" />
<content_users_area.mwsl.cms ALIAS="Files/standard/content_users_area.mwsl.cms" />
<content_user_settings.mwsl.cms ALIAS="Files/standard/content_user_settings.mwsl.cms" />
<menu_home.mwsl.cms ALIAS="Files/standard/menu_home.mwsl.cms" />
<menu_setup.mwsl.cms ALIAS="Files/standard/menu_setup.mwsl.cms" />
<menu_device.mwsl.cms ALIAS="Files/standard/menu_device.mwsl.cms" />
<menu_diagnostics.mwsl.cms ALIAS="Files/standard/menu_diagnostics.mwsl.cms" />
<menu_messages_and_logs.mwsl.cms ALIAS="Files/standard/menu_messages_and_logs.mwsl.cms" />
<menu_parameter.mwsl.cms ALIAS="Files/standard/menu_parameter.mwsl.cms" />
<menu_manage_config.mwsl.cms ALIAS="Files/standard/menu_manage_config.mwsl.cms" />
<menu_files.mwsl.cms ALIAS="Files/standard/menu_files.mwsl.cms" />
<menu_users_area.mwsl.cms ALIAS="Files/standard/menu_users_area.mwsl.cms" />
<index.mwsl.cms ALIAS="Files/standard/index.mwsl.cms" />
<index.mbs.cms ALIAS="Files/standard/index.mbs.cms" />
<clock.mwsl.cms ALIAS="Files/standard/clock.mwsl.cms" />
<login.mwsl.cms ALIAS="Files/standard/login.mwsl.cms" />
<authresponse.mwsl.cms ALIAS="Files/standard/authresponse.mwsl.cms" />
<index.js ALIAS="Files/script/index.js" />
<scripts.js ALIAS="Files/script/scripts.js" />
<scripts_sim.js ALIAS="Files/script/scripts_sim.js" />
<load_device.js ALIAS="Files/script/load_device.js" />
<load_home.js ALIAS="Files/script/load_home.js" />
<load_diagnostics.js ALIAS="Files/script/load_diagnostics.js" />
<load_messages_and_logs.js ALIAS="Files/script/load_messages_and_logs.js" />
<load_parameter.js ALIAS="Files/script/load_parameter.js" />
<load_parameter_lists.js ALIAS="Files/script/load_parameter_lists.js" />
<loadparam2.js ALIAS="Files/script/loadparam2.js" />
<load_manage_config.js ALIAS="Files/script/load_manage_config.js" />
<load_files.js ALIAS="Files/script/load_files.js" />
<load_users_area.js ALIAS="Files/script/load_users_area.js" />
<jquery.js ALIAS="Files/script/jquery.js" />
<design.css ALIAS="Files/style/design.css" />
<design2.css ALIAS="Files/style/design2.css" />
<all_lite.gif ALIAS="Files/images/all_lite.gif" />
<Siemens_Firmenmarke.gif ALIAS="Files/images/Siemens_Firmenmarke.gif" />
<arrow.jpg ALIAS="Files/images/arrow.jpg" />
<red_arrow.jpg ALIAS="Files/images/red_arrow.jpg" />
<folder.gif ALIAS="Files/images/folder.gif" />
<progress.gif ALIAS="Files/images/progress.gif" />
<TRASH.gif ALIAS="Files/images/TRASH.gif" />
<px.gif ALIAS="Files/images/px.gif" />
<service_error.gif ALIAS="Files/images/service_error.gif" />
<service_ok.gif ALIAS="Files/images/service_ok.gif" />
<service_warning.gif ALIAS="Files/images/service_warning.gif" />
<back.png ALIAS="Files/images/back.png" />
<close.png ALIAS="Files/images/close.png" />
<topo.png ALIAS="Files/images/topo.png" />
<favicon.ico ALIAS="Files/images/favicon.ico" />
<ICO_WEB_Activate.png ALIAS="Files/images/ICO_WEB_Activate.png" />
<ICO_WEB_Deactivate.png ALIAS="Files/images/ICO_WEB_Deactivate.png" />

    <!-- Standard files end -->
    <_STANDARD_ BROWSEABLE="TRUE" ALIAS="Files/standard/" REALM="Administrator" READ="Administrator" WRITE="Administrator" MODIFY="Administrator"></_STANDARD_>
    <_USERFILES_ BROWSEABLE="TRUE" ALIAS="/USERFILES/" REALM="Administrator" READ="Administrator" WRITE="Administrator" MODIFY="Administrator"></_USERFILES_>
  </BASE>


  <CONFIGURATION_DATA>
    
    <AuthForm>
      <ResponsePage Path="/authresponse.mwsl"/>
    </AuthForm>
	<!-- Conversion -->

        <CONVERSION>
		<!-- Codepage conversion converts in both directions                            -->
		<!-- For example a Line: <CHAR UCS="F6" ASCII="F5" /> Means:                    -->
		<!-- Codeing from UTF to ASCII, UTF Raw Char "F6" will be mapped to ASCII "F5"  -->
		<!-- Codeing from ASCII to UTF, ASCII Char "F5" will be mapped to UTF Raw "F6"  -->
		<!-- If there is no suitable Mapping rule, no mapping will made.                -->
		<CODEPAGE Name="Standard">
			<CHAR UCS="F5" ASCII="F5" />
		</CODEPAGE>
	</CONVERSION>
	<!-- Section for the SSL Application. -->
	<SSL>
		<CERTIFICATES TrustedCAPath="CA"/>
	</SSL>
	<!--   MWSL2 -->
  <MWSL2>
    <GLOBAL>
      <!-- on which file extensions does the MWSL App react -->
      <!-- delimiter, start and end must be the '|' character --> 
      <OPTION Name="Extensions" Value="|.mwsl|.msl|.xsl|.js|.XMLF|.xmlf|.css|" /> 
      <OPTION Name="CompileExtensions" Value="|.mwsl|.msl|.xsl|.js|.XMLF|.xmlf|.css|" /> 
      <OPTION Name="FileTypeHTML" Value="|.mwsl|.msl|" /> 
      <OPTION Name="FileTypeJS" Value="|.js|" /> 
      <OPTION Name="FileTypeXML" Value="|.xmlf|.XMLF|.xsl|" /> 
      <OPTION Name="FileTypeCSS" Value="|.css|" /> 
    </GLOBAL>
    <PRE-COMPILER>
      <OPTION Name="DoPrecompile" Value="true" /> 
      <OPTION Name="DoShrinkHTML" Value="true" /> 
      <OPTION Name="IncludePath" Value="/_standard_" />
      <OPTION Name="IncludePath" Value="/_USERFILES_" />
      <!--
      <OPTION Name="IncludePath" Value="/_xmlf_" />
      <OPTION Name="IncludePath" Value="/_script_" />
      <OPTION Name="IncludePath" Value="/_style_" />
      <OPTION Name="IncludePath" Value="/_basic_" />
      <OPTION Name="IncludePath" Value="/FILES" /> 
      -->
      <!--
      <OPTION Name="DoTranslate" Value="true" /> 
      <OPTION Name="TranslateConfigPath" Value="Translator:TranslateConfig.xml" /> 
      <OPTION Name="TranslateLog" Value="/Log/Translator.log" /> 
      <OPTION Name="LogFilePathName" Value="/Log/PreCompiler.log" /> 
      <OPTION Name="IncludePath" Value="en" /> 
      <OPTION Name="ExcludePath" Value="/de/somewhere" /> 
      -->
    </PRE-COMPILER>
  </MWSL2>

      <DEFAPP>
      
    <FORM_AUTH_RESPONSE>
		<![CDATA[
		<meta HTTP-EQUIV="REFRESH" content="0; url=index.mcs">
		  ]]>
    </FORM_AUTH_RESPONSE>
    <DIRHEAD>
        <![CDATA[
<html>
  <head>
    <title>SINAMICS - File Browser</title>
    <link rel="stylesheet" type="text/css" href="/design.css"> 
    <link rel="stylesheet" type="text/css" href="/design2.css"> 
    <script type="text/javascript" src="/jquery.js"></script>
    <script type="text/javascript" src="/scripts_sim.js"></script>
    <script type="text/javascript" src="/scripts.js"></script>
    <script type="text/javascript">
    $( document ).ready(function() {
        if ("<MWSL>write(GetVar("SINAMICS.CU"));</MWSL>" == "SINAMICS MV")
        {
            $("#file_directory").html(" \
                <select name=\"source_directory\" id=\"source_directory\" class=\"select\" onchange=\"location.replace($('#source_directory').val());\"> \
                  <option value=\"/USERFILES\"> USERFILES </option> \
                  <option value=\"/HW_DESC\"> HW_DESC </option> \
                  <option value=\"/INSTALLTRACE\"> INSTALLTRACE </option> \
                  <option value=\"/UFTAB_SIEMENS\"> UFTAB_SIEMENS </option> \
                  <option value=\"/UFTAB_USER\"> UFTAB_USER </option> \
                </select> \
            ");
            $("#file_directory_text").html("<h3 style=\"padding-top:4px;padding-right:5px\">Current Directory:</h3>");
        }
        else
        {
            $("#file_directory_text").html("<h3>Current Directory:&nbsp;</h3>");
            $("#file_directory").html("<h3>%=DIRPATH%</h3>");
        }  
        $('#source_directory').val("%=DIRPATH%");
    });
    </script>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta name="DC.Subject" content="SINAMICS">
    <meta name="DC.Publisher" content="Siemens AG">
    <meta name="DC.Format" content="text/html">
    <meta name="DC.Language" content="en">
    <meta name="DC.Rights" content="Copyrights Siemens AG 2003">

    <style type="text/css">
    a:link {color:blue; text-decoration:none;}
    a:visited {color:blue; text-decoration:none;}
    body
    {
         padding-bottom: 0;
         color: #000000;
         font-family: Arial, Verdana, Helvetica, sans-serif;
         font-size: 12px; /*Default*/
         background-color:#EAEAEA;
         margin: 1em;
    }
   .clickable
   {
      cursor:pointer;
   }
    </style>
    <!--[if IE]>
        <style type="text/css">
        #hid {
        filter:alpha(opacity=0.1);
        }
         
        </style>
        <![endif]-->
  </head>
  <!-- <body onload="begin();" onunload="end();"> -->
  <body onload="init(); makeAllSortable();" style="padding-bottom:0px;margin-bottom:0px">
  <div id="file_directory_text" style="float:left;height:30px;"></div>
  <div id="file_directory" style="height:30px;"></div>
  <table style="width:100%;margin:0;padding:0;" id="PageSeparator" cellspacing=0> 
	  <tr>
              <td style="padding:0;">
                <div style="overflow: auto;width:100%;height:2000;" id="row_container">
                <table class="UMC_gridViewVERT" style="width:100%;empty-cells:hide;" id="FileTable">
                  <colgroup>
                    <col width="*" align="left" /><col width="10%" align="left" /><col width="10%" align="center" /><col width="10%" align="center" />
                </colgroup>
				<thead>
                <tr>
                  <th style="height: 29px; vertical-align: middle;">
                    Name
                  </th>
                  <th style="height: 29px; vertical-align: middle;">
                    Size
                  </th>
                  <th style="height: 29px; vertical-align: middle;">
                    Attributes
                  </th>
                  <th style="height: 29px; vertical-align: middle;">
                    Delete
                  </th>
                </tr>
				 </thead>
                  ]]>
              </DIRHEAD>
              <DIRTAIL>
                  <![CDATA[
				 
              </table>
            </div>
            </td>
    
  </table>
  <div style="width:100%;height:90px;background-color:#D0D3DA;border-style:solid;border-color:#999999;border-width:1px;" id="dirops">
    <h3 style="margin:3 3 3 3;">Directory Operations</h3>
  
      <form method="POST" action="%=DIRPATH%" enctype="multipart/form-data" onsubmit="return procFilename();" style="margin-bottom:1px;">
         <div class ="UMC_addonNoPaddingNoMargin" id="formbody" ></div>
      </form>
      
      <form style="margin-bottom:1px;" onsubmit="return procFilename();" enctype="multipart/form-data" action="%=DIRPATH%" method="POST">
         <div id="formbody" class="UMC_addonNoPaddingNoMargin">
            <table>
                <tbody>
                     <tr>
                        <td class="UMC_addonNoPaddingNoMargin">
                            <input type="submit" value="Send selected file" style="width:150px; margin-left:10px" class="btn" id="spxFileInputSendButton">
                        </td>
                        <td class="UMC_addonNoPaddingNoMargin">
                            <div id="spxFileInputCaption" class=""></div>
                        </td>
                        <td><input style="margin-left:1px;width:300px;" id="first_file" value="(select a file)" readonly="readonly" type="text"/></td>
                        <td>
                            <div class="container" title="Choose File">
                                <div class = "doit" style="margin-top: 2px;">
                                    <span class="icons folder"></span>
                                </div>
                                <input id="hid" name="file" type="file" onchange="fill('first_file','hid')" />
                            </div>
                        </td>
                     </tr>
                 </tbody>
            </table>
      </div>
         
      </form>
      
      
      <form method="GET" action="%=DIRPATH%" onsubmit="return procDir();" style="margin-top:0.5em;margin-bottom:0px;vertical-align: bottom;">
         <br/>
         <input type="submit" value="Create Directory" class="btn" style="width:150px; margin-left:12px" id="spxDirInputCreateBtn"/><input type="TEXT" id="Dirname" name="CreateDir" size="30" maxlength="80" style="margin-left:5px;width:300px;"/>
         </form>

  </div>
    
</body>
</html>
				]]>
    </DIRTAIL>
    <DIRLINE>
        <![CDATA[	
<tr class="UMC_gridViewVertUnSelectedRow" onmouseover="this.className='UMC_gridViewVertSelectedRow';" onmouseout="this.className='UMC_gridViewVertUnSelectedRow';" >
  <script type="text/javascript">
    createDir("%=RAWDESTINATIONPATH%","%=FILENAME%","%=FILESIZE%","%=FILEATTRIBUTES%");
  </script>
</tr>
				]]>
    </DIRLINE>
    <LOADSUCCEED>
        <![CDATA[
<html>
  <head>
    <title>SINAMICS - Update OK</title>
    <meta name="DC.Subject" content="SINAMICS">
    <meta name="DC.Publisher" content="Siemens AG">
    <meta name="DC.Format" content="text/html">
    <meta name="DC.Language" content="en">
    <meta name="DC.Rights" content="Copyrights Siemens AG 2003">
    <style type="text/css">
      /* Needs to be static inside this page because when browser tries to load the stylesheet
      * from a file, it wont find it because the server will be restarting already.
      * Update this from time to time whilst changing the base style ;-) */
    .UMC_frmContentPage
      {
         background-color:#e9e9fc;
         margin: 1em;
         color: #000000;
         font-family: Arial, Verdana, Helvetica, sans-serif;
         font-size: small; 
      }
    </style>
    <script type="text/javascript">
      function home()
      {
        top.setData("PriNavi","HOME");
        top.location.replace('INDEX.HTM');
      }
    </script>
  </head>
  <body  class="UMC_frmContentPage">
    <table border="1" width="100%" bgcolor="#94CF43">
      <tr>
        <td width="100%">
          <p align="center">
            <font size="5">
              Webserver Configuration successfully loaded !
            </font>
          </p>
        </td>
      </tr>
    </table>
    <p>
      Webserver will reboot automatically.
    </p>
    <p>
      Press <a href="javascript:home();">here</a> to open homepage.
    </p>
  </body>
</html>
        ]]>
    </LOADSUCCEED>
    <SENDCOMPLETE>
        <![CDATA[
<HTML>
  <HEAD>
    <TITLE>File Operation Complete</TITLE>
  </HEAD>
  <BODY style="background-color:#e9e9fc;">
    <SCRIPT>
      var url = document.URL;
      if(url.indexOf("DELETE")>=0)
        location.replace(url.slice(0, url.lastIndexOf("/")) + "?UP=TRUE&FORCEBROWSE" );
      else
        location.replace(url.split(/[?]/)[0] + "?UP=TRUE&FORCEBROWSE");
    </SCRIPT>
  </BODY>
</HTML>
        ]]>
    </SENDCOMPLETE>

    </DEFAPP>
        <!-- Section for the Soap application.
        Soap Application itself acts as a WebService. The registration is done via first entry.
        All additional WebServices are described by LIBRARY entries.  -->
    <SOAPAPP>
      
		<STATIC>
			<!-- place all statically linked WebServices here -->
			<WEBSERVICE NAME="OpcXml" URL="/SOAP/OPCXML" />
		</STATIC>

    </SOAPAPP>
    <!--  This is the configuration section for the OpcXml MiniWeb Service "OpcXmlMW" -->
    <!--  If you define a MinScanRate < 100ms the ScanRate will be internal set to 100ms -->
    <OPCBASESERVICE>
      
	<LANGUAGES>
		<!--   "en-US" is support for english. A reference for the 2 letter Language Codes:  ISO 639 you'll find under  -->
		<!--   http://www.unicode.org/unicode/onlinedat/languages.html  -->
		<LANGUAGE NAME="no-lang" />
		<!-- first entry is fault language, do not delete this entry -->
		<LANGUAGE NAME="de" ERRORS="ERRDE.XML" STATUSINFO="STATDE.XML" />
		<LANGUAGE NAME="en" ERRORS="ERREN.XML" STATUSINFO="STATEN.XML" />
		<DEFAULT NAME="de" />
	</LANGUAGES>
	<OpcXml MinScanRate="100" MinSubscriptionPingRate="1000" MaxWaitTime="10000" MaxHoldTime="10000" EnableBuffering="1">
		<!-- Enter here the path to your Variable Providers file -->
		<PROVIDERS>
			<PROVIDER NAME="MiniWeb" MINSCANRATE="250" />
			<PROVIDER NAME="SIMOTION" MINSCANRATE="250" />
			<PROVIDER NAME="SIMOTION diagnostics" MINSCANRATE="250" />
			<!-- MemPool VarProvider is usable but not CTT conform!!! -->
			<PROVIDER NAME="MemPool" MINSCANRATE="250" />
			<PROVIDER NAME="UserConfig" MINSCANRATE="1000" />
		</PROVIDERS>
	</OpcXml>

    </OPCBASESERVICE>
    <VarApp REALM="Administrator"/>
    <!--JApp REALM="Administrator"/-->
    <FWUpdtApp REALM="Administrator">
      
     <OK>
        OK.MCS
      </OK>
      <NOK>
        NOK.MCS
      </NOK>
      <OKDefault>
				<![CDATA[
	        <html>
	          <head>
	            <title>SINAMICS - Update OK</title>
	          <meta name="DC.Subject" content="SINAMICS">
	          <meta name="DC.Publisher" content="Siemens AG">
	          <meta name="DC.Format" content="text/html">
	          <meta name="DC.Language" content="en">
	          <meta name="DC.Rights" content="Copyrights Siemens AG 2003">
             <style>
                body
	          {
                     padding-bottom: 0;
                     color: #000000;
                     font-family: Arial, Verdana, Helvetica, sans-serif;
                     font-size: 12px; /*Default*/
                     background-color:#e9e9fc;
                     margin: 1em;
                }
             </style>
	          <script type="text/javascript">
	          function home()
	          {
              top.setData("PriNavi","HOME");
	            top.location.replace("/INDEX.MCS");
	          }
            function showLog()
            {
              location.replace("logs.mcs");
            }
	          </script>
	        </head>
	        <body  class="UMC_frmContentPage">
            <table border="1" width="100%" bgcolor="#94CF43">
              <tr>
                <td width="100%">
                  <p align="center">
                    <font size="5">SINAMICS successfully loaded !
                    </font>
                  </p>
                </td>
              </tr>
            </table>
            <p>SINAMICS will restart automatically.</p>
            <p>Press <a href="javascript:home();">here</a> to open homepage.</p>
            <p>Press <a href="javascript:showLog();">here</a> to open log file.</p>
	          </body>
	        </html>
				]]>
      </OKDefault>
      <NOKDefault>
				<![CDATA[
	        <html>
	          <head>
	            <title>SINAMICS - Update FAILED</title>
	          <meta name="DC.Subject" content="SINAMICS">
	          <meta name="DC.Publisher" content="Siemens AG">
	          <meta name="DC.Format" content="text/html">
	          <meta name="DC.Language" content="en">
	          <meta name="DC.Rights" content="Copyrights Siemens AG 2003">
             <link rel="stylesheet" type="text/css" href="/UMC_styleBase.css">
	          <script type="text/javascript">
            function home()
            {
              top.setData("PriNavi","HOME");
              top.location.replace("/INDEX.MCS");
            }
	          function manage()
	          {
              top.setData("PriNavi","MANAGE");
	            top.location.replace("/INDEX.MCS");
	          }
            function showLog()
            {
              location.replace("/logs.mcs");
            }
	          </script>
	        </head>
	        <body class="UMC_frmContentPage">
            <table border="1" width="100%" bgcolor="#FF0000">
              <tr>
                <td width="100%" align="center">
                  <p>
                    <font size="5">SINAMICS load failed !</font>
                  </p>
                </td>
              </tr>
            </table>
            <p><b>$                                                                               </b></p>
            <p>Press <a href="javascript:manage();">here</a> to retry.</p>
            <p>Press <a href="javascript:home();">here</a> to open homepage.</p>
            <p>Press <a href="javascript:showLog();">here</a> to open log file.</p>
	          </body>
	        </html>
				]]>
			</NOKDefault>
		
    </FWUpdtApp>
    <USERCONFIG>
<WatchWritable>YES</WatchWritable>
<BasicWatchWritable>YES</BasicWatchWritable>
<ForceUserMsgLanguageID></ForceUserMsgLanguageID>
    </USERCONFIG>
    
        <Escaper>
      <!-- Attention: When you use patterns please specify the ranges with UNICODE coding.
                  E.g. the Euro character has to be represented by 0x20AC which is the UNICODE encoding.
                  Don't specify UTF8, ISO8859-1 or similar only native UNICODE coding is supported for the ranges.
                  For the ranges either decimal or hexadecimal representation is allowed.

    Syntax:
      // encType and decType are optional if not specified we assume UTF-8
      // The following encTypes / decTypes are supported
      //  UTF-8
      //  ASCII
      //  Unicode (Not yet implemented)
      //
      // prefix and postfix are also optional. If you specify a prefix the searching algorithm will
      // perform much faster as we check for the prefix first and if not found we continue with the next
      // character a postfix has to be specified for replacements with dynamic length e.g. just %x
      // Each table has a name and might also have a context please see the XML tables as an example
      // Within each table we can specify patterns or simple replacements

      <EscapeTable name="URL" prefix="&amp;" postfix=";" encType="UTF-8" decType="UTF-8">
        // The following pattern means that the character A is encoded as &#x41; and Z is encoded as &#x5B
        // The pattern is used for encoding and decoding as the direction is both
        // The pattern itself can have a prefix and a postfix if they are given they overrule the once from the
        // table if they are not given we assume the once from the table
        // The possible values for direction are
        //  "both"      means this pattern is used for encoding / decoding
        //  "encoding"  means pattern is only used during encoding
        //  "decoding"  means pattern is only used during decoding
        // For a detailed description about the possible formats please see section below
        <Pattern pattern="#x%02x" range="65-90" direction="both"/>

        //Another possible feature is the simple replacement of string by another
        //In this case the character \ will be replaced by &\;
        <Replacement srcValue="0x5C" srcType="Char" destValue="\" destType="String"/>

        //You can also replace a complete string e.g.
        //In this case the string Hello will be replaced by World
        <Replacement srcValue="Hello" srcType="String" destValue="World" destType="String"/>
      </EscapeTable>

    Format Syntax:

      Within the pattern you can use the following syntax

      %x => small hex characters 0-9,a-f
      %X => large hex characters 0-9,A-F
      %d => decimal characters   0-9
      %o => octal characters     0-7

      You can also specify the number of characters required
      by eg %02x you specify that in the result there must be two hex characters if the number needs only one character then the
      first number will be a 0 (specified after the percentage) %04x will result in four hex characters

      If you don't specify a fixed number of characters please make sure that either the pattern or the table has a postfix
      otherwise the decoding will not work as expected.
  -->
      <!--
    Attention in XML tables it is not allowed to encode something
  the only XML escaping here is the prefix which must be &amp;
  and is simply replaced by &
  -->
      <EscapeTable name="XML" prefix="&amp;" postfix=";">
        <Replacement srcValue="0x26" srcType="Char" destValue="amp" destType="String"/>
        <Replacement srcValue="0x3C" srcType="Char" destValue="lt" destType="String"/>
        <Replacement srcValue="0x3E" srcType="Char" destValue="gt" destType="String"/>
        <Pattern pattern="#%d" range="9;10;13" direction="both"/>
        <Pattern pattern="#x%x" range="9;10;13" direction="both"/>
        <Pattern pattern="#x%X" range="9;10;13" direction="both"/>
      </EscapeTable>
      <EscapeTable name="XML" context="Attribute" prefix="&amp;" postfix=";">
        <Replacement srcValue="0x22" srcType="Char" destValue="quot" destType="String"/>
        <Replacement srcValue="0x27" srcType="Char" destValue="apos" destType="String"/>
      </EscapeTable>
      <EscapeTable name="XML" context="Text" prefix="&amp;" postfix=";">
        <!-- Currently no special replacements needed -->
      </EscapeTable>
      <EscapeTable name="URL" prefix="&amp;" postfix=";" encType="UTF-8" decType="UTF-8">
        <!-- escape evil characters in URLs: everything but 0-9, A-Z, a-z                 -->
        <!-- Prefer encoding in hexadecimal style                                         -->
        <!-- if you want to encode in decimal style move the last patter to the beginning -->
        <Pattern pattern="#x%02x" range="0x00-0x2D;0x3A-0x40;0x5B-0x5E;0x60;0x7B-0xFF" direction="both"/>
        <Pattern pattern="#x%02X" range="0x00-0x2D;0x3A-0x40;0x5B-0x5E;0x60;0x7B-0xFF" direction="both"/>
        <Pattern pattern="#x%04x" range="0x0100-0xFFFF" direction="both"/>
        <Pattern pattern="#x%04X" range="0x0100-0xFFFF" direction="both"/>
      </EscapeTable>
      <EscapeTable name="WWW-URLENCODED" prefix="%" encType="ASCII" decType="ASCII">
        <!-- allowed characters are -_.!~*'()/abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789                 -->
        <!-- Be aware to change also the table WWW-URLENCODED_DONT_UNESCAPE_PLUS if you do some changes here                 -->
        <Pattern pattern="%02X" range="0-0x20;0x22-0x26;0x2B-0x2C;0x3A-0x40;0x5B-0x5E;0x60;0x7B-0x7D;0x7F-0xFF" direction="encoding"/>
        <Pattern pattern="%02X" range="0-0xFF" direction="decoding"/>
        <Pattern pattern="%02x" range="0-0x20;0x22-0x26;0x2B-0x2C;0x3A-0x40;0x5B-0x5E;0x60;0x7B-0x7D;0x7F-0xFF" direction="encoding"/>
        <Pattern pattern="%02x" range="0-0xFF" direction="decoding"/>
        <!-- Decoding of plus character this is not used for encoding as the pattern is given first                          -->
        <!-- so whitespace is always encoded as %20 using this table                                                         -->
        <Replacement srcValue="&#32;" srcType="String" destValue="+" destType="String" prefix=""/>
      </EscapeTable>
      <EscapeTable name="WWW-URLENCODED_WITHOUT_PLUS" prefix="%" encType="ASCII" decType="ASCII">
        <!-- allowed characters are -_.!~*'()/abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789                 -->
        <Pattern pattern="%02X" range="0-0x20;0x22-0x26;0x2B-0x2C;0x3A-0x40;0x5B-0x5E;0x60;0x7B-0x7D;0x7F-0xFF" direction="encoding"/>
        <Pattern pattern="%02X" range="0-0xFF" direction="decoding"/>
        <Pattern pattern="%02x" range="0-0x20;0x22-0x26;0x2B-0x2C;0x3A-0x40;0x5B-0x5E;0x60;0x7B-0x7D;0x7F-0xFF" direction="encoding"/>
        <Pattern pattern="%02x" range="0-0xFF" direction="decoding"/>
      </EscapeTable>
      <EscapeTable name="JavaScript" prefix="\">
        <!-- all escape sequences which escape with \ must follow after the following line -->
        <!-- otherwise they would be escaped twice -->
        <Replacement srcValue="0x5C" srcType="Char" destValue="\" destType="String"/>
        <!-- \b -->
        <Replacement srcValue="0x08" srcType="Char" destValue="b" destType="String"/>
        <!-- \t -->
        <Replacement srcValue="0x09" srcType="Char" destValue="t" destType="String"/>
        <!-- \n -->
        <Replacement srcValue="0x0A" srcType="Char" destValue="n" destType="String"/>
        <!-- \v -->
        <Replacement srcValue="0x0B" srcType="Char" destValue="v" destType="String"/>
        <!-- \f -->
        <Replacement srcValue="0x0C" srcType="Char" destValue="f" destType="String"/>
        <!-- \r -->
        <Replacement srcValue="0x0D" srcType="Char" destValue="r" destType="String"/>
        <!-- \" -->
        <Replacement srcValue="0x22" srcType="Char" destValue="&quot;" destType="String"/>
        <!-- \' -->
        <Replacement srcValue="0x27" srcType="Char" destValue="'" destType="String"/>
      </EscapeTable>
      <EscapeTable name="SQL" prefix="\">
        <!-- all escape sequences which escape with \ must follow after the following line -->
        <!-- otherwise they would be escaped twice -->
        <Replacement srcValue="0x5C" srcType="Char" destValue="\" destType="String"/>
        <Replacement srcValue="0x27" srcType="Char" destValue="'" destType="String"/>
      </EscapeTable>
    </Escaper>

  </CONFIGURATION_DATA>
  <HTTP_RESULT_CODES>
    
		<RESULT NAME="200" CODE="OK">
			<![CDATA[
        Server reports no Error
      ]]>
		</RESULT>
    <RESULT NAME="400" CODE="BAD REQUEST">
			<![CDATA[
	      <html>
	        <head>
	          <title>Sinamics - Error 400</title>
	          <meta name="DC.Subject" content="Sinamics">
	          <meta name="DC.Publisher" content="Siemens AG">
	          <meta name="DC.Format" content="text/html">
	          <meta name="DC.Language" content="en">
	          <meta name="DC.Rights" content="Copyrights Siemens AG 2012">
             <link rel="stylesheet" type="text/css" href="/design.css">
	        </head>
	        <body  class="error_page">
            <h1>400 Bad Request</h1>
            <h3>A Syntaxerror in URL or Headers occured.</h3>
            <p></p>
            <p><a href="javascript:top.location.replace('/index.mwsl')">back</a></p>
	        </body>
	      </html>
      ]]>
		</RESULT>
    <RESULT NAME="401" CODE="UNAUTHORIZED">
			<![CDATA[
	      <html>
	        <head>
	          <title>Sinamics - Error 401</title>
	          <meta name="DC.Subject" content="Sinamics">
	          <meta name="DC.Publisher" content="Siemens AG">
	          <meta name="DC.Format" content="text/html">
	          <meta name="DC.Language" content="en">
	          <meta name="DC.Rights" content="Copyrights Siemens AG 2012">
             <link rel="stylesheet" type="text/css" href="/design.css">
	        </head>
	        <body class="error_page">
            <h1>401 Unauthorized</h1>
            <h3>The username or password you entered is wrong.</h3>
            <p></p>
            <p><a href="javascript:top.location.replace('/index.mwsl')">back</a></p>
	        </body>
	      </html>
      ]]>
		</RESULT>
    <RESULT NAME="402" CODE="PAYMENT REQUIRED">
      <![CDATA[
	        <html>
	          <head>
	            <title></title>
	          <meta name="DC.Subject" content="Sinamics">
	          <meta name="DC.Publisher" content="Siemens AG">
	          <meta name="DC.Format" content="text/html">
	          <meta name="DC.Language" content="en">
	          <meta name="DC.Rights" content="Copyrights Siemens AG 2012">
             <link rel="stylesheet" type="text/css" href="/design.css">
	        </head>
	        <body class="error_page">
            <h1>402 Invalid License</h1>
            <h3>The Resource you have requested needs a valid License.</h3>
            <h3>You have requested a resource which needs a valid software license.<br>
               The Webserver cannot fullfill your request until this license is installed.<br>
               Contact your system administrator for additional information.
            </h3>
            <p></p>
            <p><a href="javascript:top.location.replace('/index.mwsl')">back</a></p>
	          </body>
	        </html>
      ]]>
    </RESULT>
    <RESULT NAME="403" CODE="READ_ONLY">
      <![CDATA[
	        <html>
	          <head>
	            <title></title>
	          <meta name="DC.Subject" content="Sinamics">
	          <meta name="DC.Publisher" content="Siemens AG">
	          <meta name="DC.Format" content="text/html">
	          <meta name="DC.Language" content="en">
	          <meta name="DC.Rights" content="Copyrights Siemens AG 2012">
             <link rel="stylesheet" type="text/css" href="/design.css">
	        </head>
	        <body class="error_page">
            <h1>402 Read Only</h1>
            <h3>The Resource you have requested is not writable.</h3>
            <p></p>
            <p><a href="javascript:top.location.replace('/index.mwsl')">back</a></p>
	          </body>
	        </html>
      ]]>
    </RESULT>
    <RESULT NAME="404" CODE="NOT_FOUND">
			<![CDATA[
	      <html>
	        <head>
	          <title>Sinamics - Error 404</title>
	          <meta name="DC.Subject" content="Sinamics">
	          <meta name="DC.Publisher" content="Siemens AG">
	          <meta name="DC.Format" content="text/html">
	          <meta name="DC.Language" content="en">
	          <meta name="DC.Rights" content="Copyrights Siemens AG 2012">
             <link rel="stylesheet" type="text/css" href="/design.css">
	        </head>
	        <body class="error_page">
            <h1>404 Not Found</h1>
            <h3>The resource you have requested was not found!</h3>
            <p></p>
            <p><a href="javascript:top.location.replace('/index.mwsl')">back</a></p>
	        </body>
	      </html>
      ]]>
		</RESULT>
    <RESULT NAME="412" CODE="PRECONDITION_FAILED" >
      <![CDATA[
	        <html>
	          <head>
	            <title>Sinamics - Error 412</title>
	          <meta name="DC.Subject" content="Sinamics">
	          <meta name="DC.Publisher" content="Siemens AG">
	          <meta name="DC.Format" content="text/html">
	          <meta name="DC.Language" content="en">
	          <meta name="DC.Rights" content="Copyrights Siemens AG 2012">
             <link rel="stylesheet" type="text/css" href="/design.css">
	        </head>
	        <body class="error_page">
            <h1>412 Request entity is write protected</h1>
            <p></p>
            <p><a href="javascript:top.location.replace('/index.mwsl')">back</a></p>
	          </body>
	        </html>
			]]>
    </RESULT>
    <RESULT NAME="413" CODE="REQUEST_ENTITY_TOO_LARGE" >
      <![CDATA[
	        <html>
	          <head>
	            <title>Sinamics - Error 413</title>
	          <meta name="DC.Subject" content="Sinamics">
	          <meta name="DC.Publisher" content="Siemens AG">
	          <meta name="DC.Format" content="text/html">
	          <meta name="DC.Language" content="en">
	          <meta name="DC.Rights" content="Copyrights Siemens AG 2012">
             <link rel="stylesheet" type="text/css" href="/design.css">
	        </head>
	        <body class="error_page">
            <h1>413 Request entity too large</h1>
            <h3>The File you want to upload does not fit in external storage.</h3>
            <h3>The Server cannot fullfill your request, disk full.</h3>
            <p></p>
            <p><a href="javascript:top.location.replace('/index.mwsl')">back</a></p>
	          </body>
	        </html>
			]]>
    </RESULT>
    <RESULT NAME="500" CODE="INTERNAL SERVER ERROR">
			<![CDATA[
	      <html>
	        <head>
	          <title>Sinamics - Error 500</title>
	          <meta name="DC.Subject" content="Sinamics">
	          <meta name="DC.Publisher" content="Siemens AG">
	          <meta name="DC.Format" content="text/html">
	          <meta name="DC.Language" content="en">
	          <meta name="DC.Rights" content="Copyrights Siemens AG 2012">
             <link rel="stylesheet" type="text/css" href="/design.css">
	        </head>
	        <body class="error_page">
            <h1>500 Internal server error</h1>
            <h3>Internal Server Error occured.</h3>
            <p></p>
            <p><a href="javascript:top.location.replace('/index.mwsl')">back</a></p>
	        </body>
	      </html>
      ]]>
		</RESULT>
    <RESULT NAME="501" CODE="NOT IMPLEMENTED">
			<![CDATA[
        Method used by the client is not implemented.
      ]]></RESULT>
    <RESULT NAME="503" CODE="SERVICE UNAVAILABLE">
			<![CDATA[
        The server is overloaded at this time\r\nPlease try it later.
      ]]></RESULT>
    <UNKNOWN CODE="INTERNAL SERVER ERROR">
			<![CDATA[
	      <html>
	        <head>
	          <title>Sinamics - Error unknown</title>
	          <meta name="DC.Subject" content="Sinamics">
	          <meta name="DC.Publisher" content="Siemens AG">
	          <meta name="DC.Format" content="text/html">
	          <meta name="DC.Language" content="en">
	          <meta name="DC.Rights" content="Copyrights Siemens AG 2012">
             <link rel="stylesheet" type="text/css" href="/design.css">
	        </head>
	        <body class="error_page">
            <h1>Unknown Internal server error</h1>
            <h3>Server gives no specific Information to this Error code.</h3>
            <p></p>
            <p><a href="javascript:top.location.replace('/index.mwsl')">back</a></p>
	        </body>
	      </html>
      ]]>
		</UNKNOWN>
  
  </HTTP_RESULT_CODES>
  <SYSTEM>
  </SYSTEM>
  <STRINGTABLE>
    
	<LANGUAGE NAME="de">
		<MESSAGE ID="STR_ALL_OK">OK</MESSAGE>
		<MESSAGE ID="MINIWEB_ID">MiniWeb V1.53</MESSAGE>
	</LANGUAGE>
	<LANGUAGE NAME="en">
		<MESSAGE ID="STR_ALL_OK">OK</MESSAGE>
		<MESSAGE ID="MINIWEB_ID">MiniWeb V1.53</MESSAGE>
	</LANGUAGE>

  </STRINGTABLE>
</SERVERPAGES>
